package com.example.quiz.data.model;
import com.example.quiz.data.model.dtos.PariCourseDto;
import com.example.quiz.data.model.enums.PariStatut;
import java.util.List;
import java.util.Map;

public class Pari {
    private String numeroTicket;
    private String typePari;
    private double mise;
    private String datePari;
    private boolean estPaye;
    private boolean estRembourse;
    private PariCourseDto course;
    private List<String> chevauxSelectionnes;
    private List<String> ordrePredit;
    private boolean validationOrdreExact;
    private String typeMulti;

    private String createdBy;

    public Pari(String numeroTicket, String typePari, double mise, String datePari, boolean estPaye, boolean estRembourse, PariCourseDto course, List<String> chevauxSelectionnes, List<String> ordrePredit, boolean validationOrdreExact, String typeMulti, String createdBy) {
        this.numeroTicket = numeroTicket;
        this.typePari = typePari;
        this.mise = mise;
        this.datePari = datePari;
        this.estPaye = estPaye;
        this.estRembourse = estRembourse;
        this.course = course;
        this.chevauxSelectionnes = chevauxSelectionnes;
        this.ordrePredit = ordrePredit;
        this.validationOrdreExact = validationOrdreExact;
        this.typeMulti = typeMulti;
        this.createdBy = createdBy;
    }

    public String getNumeroTicket() {
        return numeroTicket;
    }

    public void setNumeroTicket(String numeroTicket) {
        this.numeroTicket = numeroTicket;
    }

    public String getTypePari() {
        return typePari;
    }

    public void setTypePari(String typePari) {
        this.typePari = typePari;
    }

    public double getMise() {
        return mise;
    }

    public void setMise(double mise) {
        this.mise = mise;
    }

    public String getDatePari() {
        return datePari;
    }

    public void setDatePari(String datePari) {
        this.datePari = datePari;
    }

    public boolean isEstPaye() {
        return estPaye;
    }

    public void setEstPaye(boolean estPaye) {
        this.estPaye = estPaye;
    }

    public boolean isEstRembourse() {
        return estRembourse;
    }

    public void setEstRembourse(boolean estRembourse) {
        this.estRembourse = estRembourse;
    }

    public PariCourseDto getCourse() {
        return course;
    }

    public void setCourse(PariCourseDto course) {
        this.course = course;
    }

    public List<String> getChevauxSelectionnes() {
        return chevauxSelectionnes;
    }

    public void setChevauxSelectionnes(List<String> chevauxSelectionnes) {
        this.chevauxSelectionnes = chevauxSelectionnes;
    }

    public List<String> getOrdrePredit() {
        return ordrePredit;
    }

    public void setOrdrePredit(List<String> ordrePredit) {
        this.ordrePredit = ordrePredit;
    }

    public boolean isValidationOrdreExact() {
        return validationOrdreExact;
    }

    public void setValidationOrdreExact(boolean validationOrdreExact) {
        this.validationOrdreExact = validationOrdreExact;
    }

    public String getTypeMulti() {
        return typeMulti;
    }

    public void setTypeMulti(String typeMulti) {
        this.typeMulti = typeMulti;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }
}
